#!/usr/bin/env python
import sys
from __init__ import distname
from stdin import STDIN

if __name__ == "__main__":
    # 1) python -m distname "pkgname"
    # 2) echo "pkgname" | python -m distname
    # print(distname("future"))
    if len(sys.argv) == 2:
        sys.exit(0)
    if STDIN:  # echo "pkgname" | python -m distname
        for l in STDIN.splitlines():
            if l:
                name = distname(l)
                if name:
                    print(name)
        sys.exit(0)
